ul {
    list-style: none;
}

a {
    text-decoration: none;
}

/*CLASSES*/


.nav_container {
    height: 100%;
    max-height: 90px;
    display: flex;
    justify-content: space-between;
    align-items: center;

}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #f5f5f5;
    box-shadow: 0 2px 16px hsla(220, 32%, 20%, .8);
    z-index: var(--z-fixed);
    flex-direction: column;
}

.nav {
    height: var(--header-height);
}

.navbar {
    width: 100px;
    position: relative;
    display: flex;
}



.nav_menuicon {
    position: relative;
    width: 32px;
    height: 32px;
    right: .05rem;
}

.nav_menuicon:hover {
    border-color: black;
    cursor: pointer;
}

.nav_open,
.nav_close {
    position: absolute;
    width: max-content;
    height: max-content;
    inset: 0;
    margin: auto;
    cursor: pointer;
    transition: opacity .1s, .4s;
}

.nav_close {
    opacity: 0;
}


.nav_list {
    background-color: #f5f5f5;
    padding-left: 0;

}

.nav_link {
    color: #582C12;
    background-color: #f5f5f5;
    padding: 2rem;
    display: flex;
    font-weight: 500;
    justify-content: space-between;
    align-items: center;
    transition: background-color .3s;
}
.nav_menu {
    display: flex;
    justify-content: center;
    position: relative;
    width: 100%;
    max-width: 1120px;
    margin: 0 auto;
    opacity: 1;
    top: 0;
    transition: none;
    visibility: visible;
}
.nav_list a:hover {
    background: rgba(209, 179, 153, 0.63);
    border-radius: inherit;

}
/*LARGE*/
@media screen and (min-width: 1120px) {
    .info {
        width: 100%;
        height: 3rem;
        position: relative;
        background-color: #323232;
        justify-content: center;
        display: flex;
        top: 0;
        left: 0;
        align-items: center;
        z-index: 2;
    }
    .navlogo {
        height: 90px;
        width: 350px;

    }
    .navlogo_img {
        max-width: 350px;
        height: 100%;
        object-fit: fill;
    }


    .nav_phone_mobile {
        display: none;
    }



    .banner {
        display: flex;
        align-items: center;
        gap: 1rem;
    }

    .banner a {
        color: #ffffff;
        text-decoration: none;
        font-size: 1rem;
        padding: 0.5rem 1rem;
    }
    .banner a:hover {
        color: #D1B399;
    }
    .banner li {
        display: flex;
        align-items: center;
    }





    .nav_container {
        margin-inline: auto;
        overflow: hidden;
        display: flex;
        position: relative;
        justify-content: center;
    }

    .nav {
        height: 3.5rem;
        display: flex;
        justify-content: space-between;
    }

    .nav_menuicon {
        display: none;
    }

    .nav_list {
        height: 100%;
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
        column-gap: clamp(0.2rem, 2vw, 1rem);
        white-space: nowrap;
        padding: 0;
    }



    .nav_link {
        padding: 1rem;
        font-size: clamp(0.8rem, 1.5vw, 1rem);
    }
}

/*MEDIUM*/

@media screen and (max-width: 1380px) {
     {


        .nav_phone_icon {
            width: 15px;
            height: 15px;
        }
    }
    .nav_container {
        display: flex;
        align-items: center;
        width: 100%;
        justify-content: space-between;
        gap: 5rem;

    }

    .navlogo {
        min-width: 250px;
        flex-shrink: 0;
    }



    .nav_list {
        height: 100%;
        display: flex;
        justify-content: center;
        column-gap: 0.5rem;
        padding: 0;

    }

    .banner {
        display: flex;
        align-items: center;
        gap: 0.25rem;
        justify-content: center;
        width: 100%;
        padding-left: 0.25rem;
    }

    .banner a {
        font-size: 1rem;
        padding: 0.25rem 0.5rem;
    }
}

/*MOBILE*/
@media screen and (max-width: 1120px) {
    .banner {
        display: none;
    }

    .nav_menu {
        position: absolute !important;
        right: 0.1rem;
        margin-right: 0;
        top: var(--header-height);
        width: 30%;
        min-width: 262px;
        overflow: auto;
        pointer-events: none;
        opacity: 0;
        display: flex;
        justify-content: center;


    }
.navlogo_img {
    max-width: 220px;
    height: 90px;
    object-fit: contain;
}
    .nav_container {
        max-height: 100px;
        display: flex;
        justify-content: space-between;
        align-items: center;

    }

    .navbar {
        position: relative;
        justify-content: space-between;

    }


    .info {
        position: absolute;
        opacity: 0;
    }

    /*SHOW MENU*/
    .show-menu {
        z-index: 100;
        opacity: 1;
        top: 4.75em;
        pointer-events: initial;
        transition: top .4s, opacity .5s;
    }

    /*SHOW ICON*/
    .show-icon .nav_open {
        opacity: 0;
        transform: rotate(90deg);
    }

    .show-icon .nav_close {
        opacity: 1;
        transform: rotate(90deg);
    }

.nav_list {
    flex-direction: column;
    text-align: center;
    width: 100%;
}
    .nav_list a {
        box-shadow: 0 2px 8px hsla(220, 32%, 20%, .8);

    }


}

.nav_menu::-webkit-scrollbar {
    width: 0;
}

.map_up,
.phone_up,
.mail_up,
.time_up {
    width: 30px;
    height: 30px;
}




